SaveAsFlatDXFEx

Valued Contributor
Valued Contributor

Has anyone had any success with SaveAsFlatDXFEx?

 

‘UseFlatPatternModel’ seems to have no influence on the result. The face, edge and vertex are used to orient the flat pattern as per SaveAsFlatDXF.

 

Why does it require a face, edge and vertex if it’s going to ‘UseFlatPatternModel’??? I tried passing it nothing for face, edge and vertex and that’s exactly what I got back!

 

Posted by: Dave Rothan
Post date: 1/30/2011 1:01:13 AM

6 REPLIES

RE: SaveAsFlatDXFEx

Valued Contributor
Valued Contributor

Sub SaveAsFlatDXFEx ( _

FileName As String, _

Face As Object, _

Edge As Object, _

Vertex As Object, _

UseFlatPatternModel As Boolean _

)

 

 

Posted by: Dave Rothan
Post date: 1/30/2011 1:02:03 AM

RE: SaveAsFlatDXFEx

Valued Contributor
Valued Contributor

175 views and no comments?

 

Posted by: Dave Rothan
Post date: 2/8/2011 2:04:57 AM

RE: SaveAsFlatDXFEx

Valued Contributor
Valued Contributor

Hi,

 

me too i'm wondering about the advantage of using SaveAsFlatDxfEx when we still have to provide the parameters for face, edge and vertex as required by the older SaveAsFlatDxf method.

Has anybody made some experience meanwhile?

 

Posted by: Wolfgang Kunert
Post date: 10/19/2011 9:20:59 PM

Re: SaveAsFlatDXFEx

Experimenter
Experimenter

hey friend, try use Nothing instead of Null, like:

fModels.SaveAsFlatDXFEx(filename, Nothing, Nothing, Nothing, True)

Re: SaveAsFlatDXFEx

Solution Partner Pioneer Solution Partner Pioneer
Solution Partner Pioneer

I had the same problem and apparently it works (testing in progress).

Re: SaveAsFlatDXFEx

Experimenter
Experimenter

Hi,

I made a small progamm and I used the method and It works without vertex,face,edge.

I apply it on a .psm file with a unique flat pattern.

Below you can find an extract of my class method.

//Methode pour ouvrir un fichier tolerie et enregistrer son deplier dans le mm dossier
bool ClassSE :: DepliageAuto(std::string Fichier)
{
	WorkInProgress = true; // Cette instance de Solid edge est occupé, elle commence un travail

	SolidEdgeFramework::DocumentsPtr pDocuments = NULL;
	SolidEdgeFramework::SolidEdgeDocumentPtr pDocument = NULL;
	SolidEdgePart::SheetMetalDocumentPtr pSheetMetal = NULL;
	SolidEdgePart::FlatPatternModelsPtr pDepliesTole = NULL;
	SolidEdgePart::FlatPatternModelPtr pDeplieTole;
	
	_bstr_t FichierTolerie(Fichier.c_str()); // Conversion de std::string vers _bsr_t

	char NewName[10];
	bool result;

	pDocuments = pApplication->Documents;
	pDocument = pDocuments->Open(FichierTolerie);
	pSheetMetal = pDocument;
	pDepliesTole = pSheetMetal->FlatPatternModels;
	int NbDepl = pDepliesTole->Count;

	if (NbDepl != 0)
	{
		pDeplieTole = pDepliesTole->Item(1); //La collection commence à 1

		if (pDeplieTole->IsUpToDate)
		{
			pSheetMetal->Models->SaveAsFlatDXFEx(FichierTolerie + ".dxf", NULL, NULL, NULL, true); // enregistrement du DXF à partir du model déplié
		
			::wprintf(FichierTolerie +  L" : deplie termine \n");
			result= true;
		}

 

Maybe the beginner's luck.

However I would like to parallel this task reusing multiple Solid Edge instance. I post some détails there if some one could help me.